package calculator.ruazosa.fer.hr.mycalc;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;

import org.apache.commons.math3.complex.Complex;


public class InputActivity extends Activity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_input);

        Button button = (Button) this.findViewById(R.id.button);

        button.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                EditText editText = (EditText) InputActivity.this.findViewById(R.id.editText);
                EditText editText2 = (EditText) InputActivity.this.findViewById(R.id.editText2);
                EditText editText3 = (EditText) InputActivity.this.findViewById(R.id.editText3);
                EditText editText4 = (EditText) InputActivity.this.findViewById(R.id.editText4);

                double real1 = Double.parseDouble(editText.getText().toString());
                double img1 = Double.parseDouble(editText2.getText().toString());
                double real2 = Double.parseDouble(editText3.getText().toString());
                double img2 = Double.parseDouble(editText4.getText().toString());

                Complex complex1 = Complex.valueOf(real1, img1);
                Complex complex2 = Complex.valueOf(real2, img2);

                Complex result = complex1.multiply(complex2);

                Intent intent = new Intent(InputActivity.this, ResultActivity.class);
                intent.putExtra("result", result.toString());
                startActivity(intent);
            }
        });
    }
}
